<?php
function actualizarRendimiento($conexion, $idInsumo, $rendimiento){    
    $sqlReceta = "SELECT cat_receta.*,cat_producto.precio FROM cat_receta inner join cat_producto ON cat_producto.id_producto=cat_receta.id_insumo WHERE cat_receta.id_insumo=?";                                        
    $conexion->prepare($sqlReceta);      
	$conexion->bind("s", $idInsumo);    

    $conexion->execute(); 
    $resReceta = $conexion->fetch();

    if(sizeof($resReceta) > 0)
	{		
		foreach ($resReceta as $key => $detalle) {
			//calcular
			$aux = 100 - $rendimiento; 
			$merma = (($aux * $detalle['cantidad']) / 100) + $detalle['cantidad'];
                    
            $costo = $detalle['precio'] * $merma;

            $sqlUpdate = "UPDATE cat_receta SET merma=?, costo=? WHERE id_receta=?";
	    	$conexion->prepare($sqlUpdate);                                                                                        
            $conexion->bind("s", $merma);            
            $conexion->bind("s", $costo); 
            $conexion->bind("s", $detalle['id_receta']);

            $resultadoUpdate = $conexion->execute();
		}
	}
}